Bug 1130589 - packstack should warn installing openstack while NM is active
Summary: packstack should warn installing openstack while NM is active
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: z4
: 5.0 (RHEL 6)
Assignee: Gaël Chamoulaud
QA Contact: Roey Dekel
URL:
Whiteboard:
Depends On: 1117115
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 15:25 UTC by Scott Lewis
Modified: 2015-04-16 14:01 UTC (History)
13 users (show)

Fixed In Version: openstack-packstack-2014.1.1-0.45.dev1279.el6ost
Doc Type: Enhancement
Doc Text:
With this update, if OpenStack Networking (neutron) is enabled, Packstack now displays a warning if the Network Manager service is active on hosts.
Clone Of: 1117115
Environment:
Last Closed: 2015-04-16 14:01:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0832 normal SHIPPED_LIVE Important: openstack-packstack and openstack-puppet-modules update 2015-04-16 17:53:25 UTC
OpenStack gerrit 107211 None None None Never
OpenStack gerrit 123126 None None None Never

Description Scott Lewis 2014-08-15 15:25:36 UTC
+++ This bug was initially created as a clone of Bug #1117115 +++

Description of problem:

Since there are few problems working with NetworkManager [1][2], packstack should warn on installing openstack with Networkmanager enabled

[1] https://bugzilla.redhat.com/show_bug.cgi?id=967369#c30
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1049480
 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.provision new hosts and make sure NM is running systemctl status NetworkManager 
2. run packstack with neutron -  no warning exist
3.

Actual results:

No warning 

Expected results:
packstack should warn on installing openstack with Networkmanager enabled

Additional info:

--- Additional comment from Gaël Chamoulaud on 2014-07-23 07:12:25 EDT ---

Hi Ofer,

Just to be sure. Is that check should be done on every hosts ? whatever the type of nodes (CONTROLLER/COMPUTE/NETWORK) ...

--- Additional comment from Ofer Blaut on 2014-07-23 10:24:57 EDT ---

We should warn on every thing

--- Additional comment from Gaël Chamoulaud on 2014-07-23 10:52:20 EDT ---

Thanks for the clarification, Ofer ! That's what I did in the patch but wanted to be sure ...

Comment 3 Roey Dekel 2014-09-22 13:18:20 UTC
Tried to verify on Icehouse with:

Version-Release number of selected component:
---------------------------------------------
puddle: 2014-09-17.1
openstack-packstack-2014.1.1-0.41.dev1251.el6ost.noarch

Reproduce Steps:
----------------
(As mentioned above)
1. Provision new host and make sure NM is running
    [root@rose12 ~]# service NetworkManager status
    NetworkManager (pid  11077) is running...
2. Run packstack with neutron

Results:
-------
(Only related to NetworkManager)
stdout:
    Checking if NetworkManager is enabled and running    [ DONE ]
installation log file:
    service NetworkManager status

Expected Results:
-----------------
packstack should warn on installing openstack with Networkmanager enabled (as mentioned above)

Comment 14 Roey Dekel 2015-04-01 14:20:54 UTC
Verified on Icehouse with distributed setup:
1. Controller
2. Compute

Version-Release number of selected component:
---------------------------------------------
puddle: 2015-03-27.1
openstack-packstack-2014.1.1-0.46.dev1280.el6ost.noarch

Reproduce Steps:
----------------
1. Provision new RHEL6 host, install and run NetworkManager
2. Run packstack with neutron

Results:
-------
packstack warn on installing openstack with Networkmanager enabled (as mentioned above)

Comment 16 errata-xmlrpc 2015-04-16 14:01:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0832.html


Note You need to log in before you can comment on or make changes to this bug.